provision:machine:
  stage: provision
  script:
    - cd terraform/production
    - terraform get
    - terraform init -reconfigure
    - cd ../../playbooks/
    - ansible-playbook provision.yml
  extends:
    - .ansible

configure:machine:
  stage: provision
  script:
    - cd playbooks/
    - ansible-playbook configure.yml
  needs:
    - "provision:machine"
  extends:
    - .ansible
